clang 8.0.0

List of all members
clang::ento::FullSValVisitor< ImplClass, RetTy > Class Template Reference

FullSValVisitor - a convenient mixed visitor for all three: SVal, SymExpr and MemRegion subclasses. More...

`#include "clang/StaticAnalyzer/Core/PathSensitive/SValVisitor.h"`

Inheritance diagram for clang::ento::FullSValVisitor< ImplClass, RetTy >:
[legend]
Collaboration diagram for clang::ento::FullSValVisitor< ImplClass, RetTy >:
[legend]

## Additional Inherited Members
Public Member Functions inherited from clang::ento::SValVisitor< ImplClass, RetTy >
RetTy | Visit (SVal V)
RetTy | VisitSVal (SVal V)
Public Member Functions inherited from clang::ento::SymExprVisitor< ImplClass, RetTy >
RetTy | Visit (SymbolRef S)
RetTy | VisitSymExpr (SymbolRef S)
Public Member Functions inherited from clang::ento::MemRegionVisitor< ImplClass, RetTy >
RetTy | Visit (const MemRegion *R)
RetTy | VisitMemRegion (const MemRegion *R)

## Detailed Description

### template<typename ImplClass, typename RetTy = void>
class clang::ento::FullSValVisitor< ImplClass, RetTy >

FullSValVisitor - a convenient mixed visitor for all three: SVal, SymExpr and MemRegion subclasses.

Definition at line 138 of file SValVisitor.h.

The documentation for this class was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/SValVisitor.h